## Returning function if player doesn't have morph unlocked yet
scoreboard players reset can_morph gbm.temp
execute if score require_kills_to_morph config.gbm matches 1 store result score can_morph gbm.temp run function gbm:morph/has_killed_mob
execute if score can_morph gbm.temp matches 1 run return run title @s actionbar [{"text":"You do not have this morph unlocked yet.","italic":true,"color":"red"}]


## Setting Macro Data
# Turning off or on AI
data modify storage gbm:morph ai_or_not set value "1b"
execute if score @s morph matches 27 run data modify storage gbm:morph ai_or_not set value "0b"
execute if score @s morph matches 56 run data modify storage gbm:morph ai_or_not set value "0b"

# Passive, no skin
execute if score @s morph matches 3 run data modify storage gbm:morph mob set value "pig"
execute if score @s morph matches 4 run data modify storage gbm:morph mob set value "cow"
execute if score @s morph matches 5 run data modify storage gbm:morph mob set value "chicken"
execute if score @s morph matches 6 run data modify storage gbm:morph mob set value "bee"
execute if score @s morph matches 7 run data modify storage gbm:morph mob set value "wolf"
execute if score @s morph matches 8 run data modify storage gbm:morph mob set value "bat"
execute if score @s morph matches 9 run data modify storage gbm:morph mob set value "squid"
execute if score @s morph matches 10 run data modify storage gbm:morph mob set value "glow_squid"
execute if score @s morph matches 11 run data modify storage gbm:morph mob set value "ocelot"
execute if score @s morph matches 12 run data modify storage gbm:morph mob set value "allay"
execute if score @s morph matches 13 run data modify storage gbm:morph mob set value "cod"
execute if score @s morph matches 14 run data modify storage gbm:morph mob set value "salmon"
execute if score @s morph matches 15 run data modify storage gbm:morph mob set value "mule"
execute if score @s morph matches 16 run data modify storage gbm:morph mob set value "donkey"
execute if score @s morph matches 17 run data modify storage gbm:morph mob set value "pufferfish"
execute if score @s morph matches 18 run data modify storage gbm:morph mob set value "tadpole"
execute if score @s morph matches 19 run data modify storage gbm:morph mob set value "skeleton_horse"
execute if score @s morph matches 20 run data modify storage gbm:morph mob set value "zombie_horse"
execute if score @s morph matches 21 run data modify storage gbm:morph mob set value "wandering_trader"
execute if score @s morph matches 22 run data modify storage gbm:morph mob set value "goat"
execute if score @s morph matches 23 run data modify storage gbm:morph mob set value "polar_bear"
execute if score @s morph matches 29 run data modify storage gbm:morph mob set value "dolphin"
execute if score @s morph matches 30 run data modify storage gbm:morph mob set value "turtle"

# Passive, skin
execute if score @s morph matches 24 run data modify storage gbm:morph mob set value "sheep"
execute if score @s morph matches 25 run data modify storage gbm:morph mob set value "cat"
execute if score @s morph matches 26 run data modify storage gbm:morph mob set value "rabbit"
execute if score @s morph matches 27 run data modify storage gbm:morph mob set value "fox"
execute if score @s morph matches 28 run data modify storage gbm:morph mob set value "parrot"
execute if score @s morph matches 31 run data modify storage gbm:morph mob set value "axolotl"
execute if score @s morph matches 32 run data modify storage gbm:morph mob set value "tropical_fish"
execute if score @s morph matches 33 run data modify storage gbm:morph mob set value "horse"
execute if score @s morph matches 34 run data modify storage gbm:morph mob set value "mooshroom"
execute if score @s morph matches 35 run data modify storage gbm:morph mob set value "villager"
execute if score @s morph matches 36 run data modify storage gbm:morph mob set value "llama"
execute if score @s morph matches 56 run data modify storage gbm:morph mob set value "frog"
execute if score @s morph matches 66 run data modify storage gbm:morph mob set value "camel"
execute if score @s morph matches 67 run data modify storage gbm:morph mob set value "sniffer"

# Hostile, no skin
execute if score @s morph matches 37 run data modify storage gbm:morph mob set value "spider"
execute if score @s morph matches 38 run data modify storage gbm:morph mob set value "cave_spider"
execute if score @s morph matches 39 run data modify storage gbm:morph mob set value "zombified_piglin"
execute if score @s morph matches 40 run data modify storage gbm:morph mob set value "piglin"
execute if score @s morph matches 41 run data modify storage gbm:morph mob set value "piglin_brute"
execute if score @s morph matches 42 run data modify storage gbm:morph mob set value "creeper"
execute if score @s morph matches 43 run data modify storage gbm:morph mob set value "blaze"
execute if score @s morph matches 44 run data modify storage gbm:morph mob set value "silverfish"
execute if score @s morph matches 45 run data modify storage gbm:morph mob set value "endermite"
execute if score @s morph matches 49 run data modify storage gbm:morph mob set value "slime"
execute if score @s morph matches 50 run data modify storage gbm:morph mob set value "magma_cube"
execute if score @s morph matches 51 run data modify storage gbm:morph mob set value "phantom"
execute if score @s morph matches 52 run data modify storage gbm:morph mob set value "pillager"
execute if score @s morph matches 53 run data modify storage gbm:morph mob set value "vindicator"
execute if score @s morph matches 54 run data modify storage gbm:morph mob set value "wither_skeleton"
execute if score @s morph matches 57 run data modify storage gbm:morph mob set value "vex"
execute if score @s morph matches 58 run data modify storage gbm:morph mob set value "hoglin"
execute if score @s morph matches 59 run data modify storage gbm:morph mob set value "evoker"
execute if score @s morph matches 60 run data modify storage gbm:morph mob set value "enderman"
execute if score @s morph matches 65 run data modify storage gbm:morph mob set value "breeze"

# Hostile, skin
#AS OF GBM V1.11 THESE MORPHS DO NOT HAVE SKINS; THIS WILL BE CHANGED IN FUTURE UPDATE
execute if score @s morph matches 46 run data modify storage gbm:morph mob set value "shulker"
execute if score @s morph matches 55 run data modify storage gbm:morph mob set value "zombie_villager"
execute if score @s morph matches 61 run data modify storage gbm:morph mob set value "skeleton"
execute if score @s[tag=gbm.skins.skeleton.stray] morph matches 61 run data modify storage gbm:morph mob set value "stray"
execute if score @s[tag=gbm.skins.skeleton.bogged] morph matches 61 run data modify storage gbm:morph mob set value "bogged"
execute if score @s morph matches 64 run data modify storage gbm:morph mob set value "zombie"
execute if score @s[tag=gbm.skins.zombie.husk] morph matches 64 run data modify storage gbm:morph mob set value "husk"
execute if score @s[tag=gbm.skins.zombie.drowned] morph matches 64 run data modify storage gbm:morph mob set value "drowned"

# Tall Morphs
data modify storage gbm:morph tp_style set value "mtp1"
execute if score @s morph matches 21 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 35 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 39 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 40 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 41 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 42 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 43 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 52 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 53 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 54 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 59 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 60 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 55 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 61..64 run data modify storage gbm:morph tp_style set value "mtp2"
execute if score @s morph matches 65 run data modify storage gbm:morph tp_style set value "mtp2"

# Ridable Morphs
execute if score @s morph matches 15 run data modify storage gbm:morph tp_style set value "mtp3"
execute if score @s morph matches 16 run data modify storage gbm:morph tp_style set value "mtp3"
execute if score @s morph matches 19 run data modify storage gbm:morph tp_style set value "mtp3"
execute if score @s morph matches 20 run data modify storage gbm:morph tp_style set value "mtp3"
execute if score @s morph matches 33 run data modify storage gbm:morph tp_style set value "mtp3"
execute if score @s morph matches 36 run data modify storage gbm:morph tp_style set value "mtp3"
execute if score @s morph matches 66 run data modify storage gbm:morph tp_style set value "mtp3"

## Adding Extra Data for Skins
data modify storage gbm:morph extra_data set value ""

# Slime
execute if score @s morph matches 49..50 run data modify storage gbm:morph extra_data set value "Size:1,"

# Sheep
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.magenta] run data modify storage gbm:morph extra_data set value "Color:2b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.purple] run data modify storage gbm:morph extra_data set value "Color:10b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.blue] run data modify storage gbm:morph extra_data set value "Color:11b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.light_blue] run data modify storage gbm:morph extra_data set value "Color:3b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.cyan] run data modify storage gbm:morph extra_data set value "Color:9b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.green] run data modify storage gbm:morph extra_data set value "Color:13b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.lime] run data modify storage gbm:morph extra_data set value "Color:5b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.yellow] run data modify storage gbm:morph extra_data set value "Color:4b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.orange] run data modify storage gbm:morph extra_data set value "Color:1b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.red] run data modify storage gbm:morph extra_data set value "Color:14b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.pink] run data modify storage gbm:morph extra_data set value "Color:6b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.white] run data modify storage gbm:morph extra_data set value "Color:0b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.light_gray] run data modify storage gbm:morph extra_data set value "Color:8b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.gray] run data modify storage gbm:morph extra_data set value "Color:7b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.black] run data modify storage gbm:morph extra_data set value "Color:15b,"
execute if score @s morph matches 24 if entity @s[tag=gbm.skins.sheep.brown] run data modify storage gbm:morph extra_data set value "Color:12b,"

# Cat
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.black] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:all_black\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.british_shorthair] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:british_shorthair\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.calico] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:calico\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.jellie] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:jellie\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.persian] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:persian\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.ragdoll] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:ragdoll\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.red] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:red\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.siamese] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:siamese\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.tabby] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:tabby\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.tuxedo] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:black\","
execute if score @s morph matches 25 if entity @s[tag=gbm.skins.cat.white] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:white\","

# Rabbit
execute if score @s morph matches 26 if entity @s[tag=gbm.skins.rabbit.white] run data modify storage gbm:morph extra_data set value "RabbitType:1,"
execute if score @s morph matches 26 if entity @s[tag=gbm.skins.rabbit.black] run data modify storage gbm:morph extra_data set value "RabbitType:2,"
execute if score @s morph matches 26 if entity @s[tag=gbm.skins.rabbit.black_and_white] run data modify storage gbm:morph extra_data set value "RabbitType:3,"
execute if score @s morph matches 26 if entity @s[tag=gbm.skins.rabbit.salt_and_pepper] run data modify storage gbm:morph extra_data set value "RabbitType:5,"
execute if score @s morph matches 26 if entity @s[tag=gbm.skins.rabbit.gold] run data modify storage gbm:morph extra_data set value "RabbitType:4,"
execute if score @s morph matches 26 if entity @s[tag=gbm.skins.rabbit.brown] run data modify storage gbm:morph extra_data set value "RabbitType:0,"

# Fox
execute if score @s morph matches 27 if entity @s[tag=gbm.skins.fox.red] run data modify storage gbm:morph extra_data set value "Type:\"red\","
execute if score @s morph matches 27 if entity @s[tag=gbm.skins.fox.snow] run data modify storage gbm:morph extra_data set value "Type:\"snow\","

# Parrot
execute if score @s morph matches 28 if entity @s[tag=gbm.skins.parrot.red] run data modify storage gbm:morph extra_data set value "Variant:0,"
execute if score @s morph matches 28 if entity @s[tag=gbm.skins.parrot.blue] run data modify storage gbm:morph extra_data set value "Variant:1,"
execute if score @s morph matches 28 if entity @s[tag=gbm.skins.parrot.green] run data modify storage gbm:morph extra_data set value "Variant:2,"
execute if score @s morph matches 28 if entity @s[tag=gbm.skins.parrot.cyan] run data modify storage gbm:morph extra_data set value "Variant:3,"
execute if score @s morph matches 28 if entity @s[tag=gbm.skins.parrot.silver] run data modify storage gbm:morph extra_data set value "Variant:4,"

# Axolotl
execute if score @s morph matches 31 if entity @s[tag=gbm.skins.axolotl.lucy] run data modify storage gbm:morph extra_data set value "Variant:0,"
execute if score @s morph matches 31 if entity @s[tag=gbm.skins.axolotl.wild] run data modify storage gbm:morph extra_data set value "Variant:1,"
execute if score @s morph matches 31 if entity @s[tag=gbm.skins.axolotl.gold] run data modify storage gbm:morph extra_data set value "Variant:2,"
execute if score @s morph matches 31 if entity @s[tag=gbm.skins.axolotl.cyan] run data modify storage gbm:morph extra_data set value "Variant:3,"
execute if score @s morph matches 31 if entity @s[tag=gbm.skins.axolotl.blue] run data modify storage gbm:morph extra_data set value "Variant:4,"

# Tropical Fish
execute if score @s morph matches 32 if entity @s[tag=gbm.skins.tropical_fish.clownfish] run data modify storage gbm:morph extra_data set value "Variant:65536,"
execute if score @s morph matches 32 if entity @s[tag=gbm.skins.tropical_fish.dottyback] run data modify storage gbm:morph extra_data set value "Variant:67764993,"
execute if score @s morph matches 32 if entity @s[tag=gbm.skins.tropical_fish.cotten_candy_betta] run data modify storage gbm:morph extra_data set value "Variant:50726144,"
execute if score @s morph matches 32 if entity @s[tag=gbm.skins.tropical_fish.yellow_tang] run data modify storage gbm:morph extra_data set value "Variant:67371009,"
execute if score @s morph matches 32 if entity @s[tag=gbm.skins.tropical_fish.chichlid] run data modify storage gbm:morph extra_data set value "Variant:118161664,"
execute if score @s morph matches 32 if entity @s[tag=gbm.skins.tropical_fish.queen_angelfish] run data modify storage gbm:morph extra_data set value "Variant:50660352,"
execute if score @s morph matches 32 if entity @s[tag=gbm.skins.tropical_fish.anemone] run data modify storage gbm:morph extra_data set value "Variant:117506305,"
execute if score @s morph matches 32 if entity @s[tag=gbm.skins.tropical_fish.yellowtail_parrot_fish] run data modify storage gbm:morph extra_data set value "Variant:67699456,"
execute if score @s morph matches 32 if entity @s[tag=gbm.skins.tropical_fish.red_chichlid] run data modify storage gbm:morph extra_data set value "Variant:918529,"

# Horse
execute if score @s morph matches 33 if entity @s[tag=gbm.skins.horse.white] run data modify storage gbm:morph extra_data set value "Variant:0,"
execute if score @s morph matches 33 if entity @s[tag=gbm.skins.horse.creamy] run data modify storage gbm:morph extra_data set value "Variant:1,"
execute if score @s morph matches 33 if entity @s[tag=gbm.skins.horse.chestnut] run data modify storage gbm:morph extra_data set value "Variant:2,"
execute if score @s morph matches 33 if entity @s[tag=gbm.skins.horse.brown] run data modify storage gbm:morph extra_data set value "Variant:3,"
execute if score @s morph matches 33 if entity @s[tag=gbm.skins.horse.black] run data modify storage gbm:morph extra_data set value "Variant:4,"
execute if score @s morph matches 33 if entity @s[tag=gbm.skins.horse.gray] run data modify storage gbm:morph extra_data set value "Variant:5,"
execute if score @s morph matches 33 if entity @s[tag=gbm.skins.horse.dark_brown] run data modify storage gbm:morph extra_data set value "Variant:6,"
execute if score @s morph matches 33 if entity @s[tag=gbm.skins.horse.white_and_black_dots] run data modify storage gbm:morph extra_data set value "Variant:1024,"

# Mooshroom
execute if score @s morph matches 34 if entity @s[tag=gbm.skins.mooshroom.red] run data modify storage gbm:morph extra_data set value "Type:\"red\","
execute if score @s morph matches 34 if entity @s[tag=gbm.skins.mooshroom.brown] run data modify storage gbm:morph extra_data set value "Type:\"brown\","

# Villager
execute if score @s morph matches 35 if entity @s[tag=gbm.skins.villager.desert] run data modify storage gbm:morph extra_data set value "VillagerData:{type:\"minecraft:desert\"},"
execute if score @s morph matches 35 if entity @s[tag=gbm.skins.villager.jungle] run data modify storage gbm:morph extra_data set value "VillagerData:{type:\"minecraft:jungle\"},"
execute if score @s morph matches 35 if entity @s[tag=gbm.skins.villager.plains] run data modify storage gbm:morph extra_data set value "VillagerData:{type:\"minecraft:plains\"},"
execute if score @s morph matches 35 if entity @s[tag=gbm.skins.villager.savanna] run data modify storage gbm:morph extra_data set value "VillagerData:{type:\"minecraft:savanna\"},"
execute if score @s morph matches 35 if entity @s[tag=gbm.skins.villager.snow] run data modify storage gbm:morph extra_data set value "VillagerData:{type:\"minecraft:snow\"},"
execute if score @s morph matches 35 if entity @s[tag=gbm.skins.villager.swamp] run data modify storage gbm:morph extra_data set value "VillagerData:{type:\"minecraft:swamp\"},"
execute if score @s morph matches 35 if entity @s[tag=gbm.skins.villager.taiga] run data modify storage gbm:morph extra_data set value "VillagerData:{type:\"minecraft:taiga\"},"

# Llama
execute if score @s morph matches 36 if entity @s[tag=gbm.skins.llama.creamy] run data modify storage gbm:morph extra_data set value "Variant:0,"
execute if score @s morph matches 36 if entity @s[tag=gbm.skins.llama.white] run data modify storage gbm:morph extra_data set value "Variant:1,"
execute if score @s morph matches 36 if entity @s[tag=gbm.skins.llama.brown] run data modify storage gbm:morph extra_data set value "Variant:2,"
execute if score @s morph matches 36 if entity @s[tag=gbm.skins.llama.gray] run data modify storage gbm:morph extra_data set value "Variant:3,"
execute if score @s morph matches 36 if entity @s[tag=gbm.skins.llama.trader] run data modify storage gbm:morph mob set value "trader_llama"

# Frog
execute if score @s morph matches 56 if entity @s[tag=gbm.skins.frog.temperate] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:temperate\","
execute if score @s morph matches 56 if entity @s[tag=gbm.skins.frog.warm] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:warm\","
execute if score @s morph matches 56 if entity @s[tag=gbm.skins.frog.cold] run data modify storage gbm:morph extra_data set value "variant:\"minecraft:cold\","

# Wolf
execute if score @s morph matches 7 if entity @s[tag=gbm.skins.wolf.ashen] run data modify storage gbm:morph extra_data set value "variant:\"ashen\","
execute if score @s morph matches 7 if entity @s[tag=gbm.skins.wolf.black] run data modify storage gbm:morph extra_data set value "variant:\"black\","
execute if score @s morph matches 7 if entity @s[tag=gbm.skins.wolf.chestnut] run data modify storage gbm:morph extra_data set value "variant:\"chestnut\","
execute if score @s morph matches 7 if entity @s[tag=gbm.skins.wolf.pale] run data modify storage gbm:morph extra_data set value "variant:\"pale\","
execute if score @s morph matches 7 if entity @s[tag=gbm.skins.wolf.rusty] run data modify storage gbm:morph extra_data set value "variant:\"rusty\","
execute if score @s morph matches 7 if entity @s[tag=gbm.skins.wolf.snowy] run data modify storage gbm:morph extra_data set value "variant:\"snowy\","
execute if score @s morph matches 7 if entity @s[tag=gbm.skins.wolf.spotted] run data modify storage gbm:morph extra_data set value "variant:\"spotted\","
execute if score @s morph matches 7 if entity @s[tag=gbm.skins.wolf.striped] run data modify storage gbm:morph extra_data set value "variant:\"striped\","
execute if score @s morph matches 7 if entity @s[tag=gbm.skins.wolf.woods] run data modify storage gbm:morph extra_data set value "variant:\"woods\","

# Cow
execute if score @s morph matches 4 if entity @s[tag=gbm.skins.cow.temperate] run data modify storage gbm:morph extra_data set value "variant:\"temperate\","
execute if score @s morph matches 4 if entity @s[tag=gbm.skins.cow.warm] run data modify storage gbm:morph extra_data set value "variant:\"warm\","
execute if score @s morph matches 4 if entity @s[tag=gbm.skins.cow.cold] run data modify storage gbm:morph extra_data set value "variant:\"cold\","

# Chicken
execute if score @s morph matches 5 if entity @s[tag=gbm.skins.chicken.temperate] run data modify storage gbm:morph extra_data set value "variant:\"temperate\","
execute if score @s morph matches 5 if entity @s[tag=gbm.skins.chicken.warm] run data modify storage gbm:morph extra_data set value "variant:\"warm\","
execute if score @s morph matches 5 if entity @s[tag=gbm.skins.chicken.cold] run data modify storage gbm:morph extra_data set value "variant:\"cold\","

# Pig
execute if score @s morph matches 3 if entity @s[tag=gbm.skins.pig.temperate] run data modify storage gbm:morph extra_data set value "variant:\"temperate\","
execute if score @s morph matches 3 if entity @s[tag=gbm.skins.pig.warm] run data modify storage gbm:morph extra_data set value "variant:\"warm\","
execute if score @s morph matches 3 if entity @s[tag=gbm.skins.pig.cold] run data modify storage gbm:morph extra_data set value "variant:\"cold\","

## Reseting Current Morph
# Removing Invisibility for Players
execute if score @s morph matches 2 run effect clear @s invisibility
function gbm:morph/reset


## Adding Tags for Status Effects
# Slow Falling
execute if score @s morph matches 5 run tag @s add gbm.slow_falling
execute if score @s morph matches 6 run tag @s add gbm.slow_falling
execute if score @s morph matches 8 run tag @s add gbm.slow_falling
execute if score @s morph matches 12 run tag @s add gbm.slow_falling
execute if score @s morph matches 28 run tag @s add gbm.slow_falling
execute if score @s morph matches 43 run tag @s add gbm.slow_falling
execute if score @s morph matches 51 run tag @s add gbm.slow_falling
# Speed
execute if score @s morph matches 11 run tag @s add gbm.speed.0
execute if score @s morph matches 15 run tag @s add gbm.speed.0
execute if score @s morph matches 16 run tag @s add gbm.speed.0
execute if score @s morph matches 19 run tag @s add gbm.speed.0
execute if score @s morph matches 20 run tag @s add gbm.speed.0
execute if score @s morph matches 26 run tag @s add gbm.speed.0
execute if score @s morph matches 25 run tag @s add gbm.speed.0
execute if score @s morph matches 27 run tag @s add gbm.speed.0
execute if score @s morph matches 33 run tag @s add gbm.speed.1
# Jump Boost
execute if score @s morph matches 26 run tag @s add gbm.jump_boost.0
execute if score @s morph matches 33 run tag @s add gbm.jump_boost.0
execute if score @s morph matches 22 run tag @s add gbm.jump_boost.1
execute if score @s morph matches 26 run tag @s add gbm.jump_boost.1
execute if score @s morph matches 55 run tag @s add gbm.jump_boost.1
execute if score @s morph matches 56 run tag @s add gbm.jump_boost.2
execute if score @s morph matches 49 run tag @s add gbm.jump_boost.5
execute if score @s morph matches 50 run tag @s add gbm.jump_boost.5
execute if score @s morph matches 65 run tag @s add gbm.jump_boost.0
# Dolphin's Grace
execute if score @s morph matches 29 run tag @s add gbm.dolphins_grace
execute if score @s morph matches 30 run tag @s add gbm.dolphins_grace
# Strength
execute if score @s morph matches 7 run tag @s add gbm.strength.0
execute if score @s morph matches 64 run tag @s add gbm.strength.0
execute if score @s morph matches 23 run tag @s add gbm.strength.1
execute if score @s morph matches 58 run tag @s add gbm.strength.1
# Night Vision
execute if score @s morph matches 11 run tag @s add gbm.night_vision
execute if score @s morph matches 25 run tag @s add gbm.night_vision
execute if score @s morph matches 51 run tag @s add gbm.night_vision
# Hero of the Village
execute if score @s morph matches 35 run tag @s add gbm.hero_of_the_village
# Resistance
execute if score @s morph matches 30 run tag @s add gbm.resistance.0
execute if score @s morph matches 46 run tag @s add gbm.resistance.2
# Slowness
execute if score @s morph matches 56 run tag @s add gbm.slowness.2
execute if score @s morph matches 65 run tag @s add gbm.slowness.2
execute if score @s morph matches 67 run tag @s add gbm.slowness.2
execute if score @s morph matches 30 run tag @s add gbm.slowness.3
execute if score @s morph matches 31 run tag @s add gbm.slowness.3
execute if score @s morph matches 9 run tag @s add gbm.slowness.9
execute if score @s morph matches 10 run tag @s add gbm.slowness.9
execute if score @s morph matches 13 run tag @s add gbm.slowness.9
execute if score @s morph matches 14 run tag @s add gbm.slowness.9
execute if score @s morph matches 17 run tag @s add gbm.slowness.9
execute if score @s morph matches 32 run tag @s add gbm.slowness.9
execute if score @s morph matches 46 run tag @s add gbm.slowness.9
execute if score @s morph matches 49 run tag @s add gbm.slowness.9
execute if score @s morph matches 50 run tag @s add gbm.slowness.9
# Fire Resistance
execute if score @s morph matches 43 run tag @s add gbm.fire_resistance
execute if score @s morph matches 50 run tag @s add gbm.fire_resistance
execute if score @s morph matches 54 run tag @s add gbm.fire_resistance
# Water Breathing
execute if score @s morph matches 9 run tag @s add gbm.water_breathing
execute if score @s morph matches 10 run tag @s add gbm.water_breathing
execute if score @s morph matches 13 run tag @s add gbm.water_breathing
execute if score @s morph matches 14 run tag @s add gbm.water_breathing
execute if score @s morph matches 17 run tag @s add gbm.water_breathing
execute if score @s morph matches 18 run tag @s add gbm.water_breathing
execute if score @s morph matches 29 run tag @s add gbm.water_breathing
execute if score @s morph matches 30 run tag @s add gbm.water_breathing
execute if score @s morph matches 32 run tag @s add gbm.water_breathing
execute if score @s morph matches 56 run tag @s add gbm.water_breathing


## Setting Attributes
# Die outside of water
execute if score @s morph matches 9 run tag @s add gbm.dies_out_of_water
execute if score @s morph matches 10 run tag @s add gbm.dies_out_of_water
execute if score @s morph matches 13 run tag @s add gbm.dies_out_of_water
execute if score @s morph matches 14 run tag @s add gbm.dies_out_of_water
execute if score @s morph matches 17 run tag @s add gbm.dies_out_of_water
execute if score @s morph matches 18 run tag @s add gbm.dies_out_of_water
execute if score @s morph matches 32 run tag @s add gbm.dies_out_of_water
execute if score @s morph matches 31 run tag @s add gbm.very_slowly_dies_out_of_water

# Knockback Resistance
execute if score @s morph matches 50 run attribute @s knockback_resistance base set 1

# Safe Fall Distance
execute if score @s morph matches 65 run attribute @s safe_fall_distance base set 100

# Step Height
execute if score @s morph matches 15 run attribute @s step_height base set 1
execute if score @s morph matches 16 run attribute @s step_height base set 1
execute if score @s morph matches 19 run attribute @s step_height base set 1
execute if score @s morph matches 20 run attribute @s step_height base set 1
execute if score @s morph matches 33 run attribute @s step_height base set 1
execute if score @s morph matches 66 run attribute @s step_height base set 1

# Scale
execute if score @s morph matches 3 run attribute @s scale base set 0.75
execute if score @s morph matches 5 run attribute @s scale base set 0.65
execute if score @s morph matches 6 run attribute @s scale base set 0.75
execute if score @s morph matches 7 run attribute @s scale base set 0.75
execute if score @s morph matches 8 run attribute @s scale base set 0.65
execute if score @s morph matches 11 run attribute @s scale base set 0.5
execute if score @s morph matches 12 run attribute @s scale base set 0.8
execute if score @s morph matches 13 run attribute @s scale base set 0.65
execute if score @s morph matches 14 run attribute @s scale base set 0.65
execute if score @s morph matches 17 run attribute @s scale base set 0.65
execute if score @s morph matches 18 run attribute @s scale base set 0.65
execute if score @s morph matches 25 run attribute @s scale base set 0.5
execute if score @s morph matches 26 run attribute @s scale base set 0.5
execute if score @s morph matches 27 run attribute @s scale base set 0.55
execute if score @s morph matches 28 run attribute @s scale base set 0.65
execute if score @s morph matches 31 run attribute @s scale base set 0.65
execute if score @s morph matches 56 run attribute @s scale base set 0.65
execute if score @s morph matches 37 run attribute @s scale base set 0.85
execute if score @s morph matches 38 run attribute @s scale base set 0.65
execute if score @s morph matches 44 run attribute @s scale base set 0.5
execute if score @s morph matches 45 run attribute @s scale base set 0.5
execute if score @s morph matches 57 run attribute @s scale base set 0.65
execute if score @s morph matches 32 run attribute @s scale base set 0.65
execute if score @s morph matches 61..63 run attribute @s scale base set 1.0
execute if score @s morph matches 15 run attribute @s scale base set 1.5
execute if score @s morph matches 16 run attribute @s scale base set 1.5
execute if score @s morph matches 19 run attribute @s scale base set 1.5
execute if score @s morph matches 20 run attribute @s scale base set 1.5
execute if score @s morph matches 23 run attribute @s scale base set 1.5
execute if score @s morph matches 33 run attribute @s scale base set 1.5
execute if score @s morph matches 36 run attribute @s scale base set 1.5
execute if score @s morph matches 58 run attribute @s scale base set 1.3
execute if score @s morph matches 60 run attribute @s scale base set 1.7
execute if score @s morph matches 34 run attribute @s scale base set 1.2
execute if score @s morph matches 4 run attribute @s scale base set 1.15
execute if score @s morph matches 24 run attribute @s scale base set 1.15
execute if score @s morph matches 66 run attribute @s scale base set 1.6
execute if score @s morph matches 67 run attribute @s scale base set 1.7
## Appling Morph
execute if score @s morph matches 3.. run function gbm:morph/morph with storage gbm:morph

scoreboard players reset @s morph

